{
  "generated_at": "2026-05-29T07:48:46.431920+00:00",
  "congruence_tol": 0.05,
  "testnet": true,
  "exchanges": {
    "deribit": {
      "timeframes": [
        "1m",
        "5m",
        "15m",
        "1h"
      ],
      "instruments": {
        "1000BONK_USDC-PERPETUAL": {
          "base": "1000BONK",
          "valid": false,
          "reasons": [
            "flat_dead"
          ],
          "last_price": 0.00635,
          "start_date": "2025-12-23",
          "timeframes": []
        },
        "1000FLOKI_USDC-PERPETUAL": {
          "base": "1000FLOKI",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.0471,
          "start_date": "2026-03-16",
          "timeframes": []
        },
        "1000MOG_USDC-PERPETUAL": {
          "base": "1000MOG",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "1000PEPE_USDC-PERPETUAL": {
          "base": "1000PEPE",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.005095,
          "start_date": "2026-04-02",
          "timeframes": []
        },
        "1000SHIB_USDC-PERPETUAL": {
          "base": "1000SHIB",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.00861,
          "start_date": "2026-01-13",
          "timeframes": []
        },
        "1000TOSHI_USDC-PERPETUAL": {
          "base": "1000TOSHI",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "AAVE_USDC-PERPETUAL": {
          "base": "AAVE",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 86.03,
          "start_date": "2026-04-09",
          "timeframes": []
        },
        "ADA_USDC-PERPETUAL": {
          "base": "ADA",
          "valid": true,
          "reasons": [],
          "last_price": 0.2344,
          "start_date": "2022-02-19",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AERO_USDC-PERPETUAL": {
          "base": "AERO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "AIXBT_USDC-PERPETUAL": {
          "base": "AIXBT",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ALGO_USDC-PERPETUAL": {
          "base": "ALGO",
          "valid": false,
          "reasons": [
            "flat_dead"
          ],
          "last_price": 0.11584,
          "start_date": "2022-05-09",
          "timeframes": []
        },
        "APT_USDC-PERPETUAL": {
          "base": "APT",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ARB_USDC-PERPETUAL": {
          "base": "ARB",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.109,
          "start_date": "2026-04-09",
          "timeframes": []
        },
        "ATH_USDC-PERPETUAL": {
          "base": "ATH",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.009058,
          "start_date": "2026-01-28",
          "timeframes": []
        },
        "ATOM_USDC-PERPETUAL": {
          "base": "ATOM",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "AVAX_USDC-PERPETUAL": {
          "base": "AVAX",
          "valid": true,
          "reasons": [],
          "last_price": 8.894,
          "start_date": "2022-04-26",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AXS_USDC-PERPETUAL": {
          "base": "AXS",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "BCH_USDC-PERPETUAL": {
          "base": "BCH",
          "valid": true,
          "reasons": [],
          "last_price": 293.767,
          "start_date": "2022-08-23",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BEAM_USDC-PERPETUAL": {
          "base": "BEAM",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "BERA_USDC-PERPETUAL": {
          "base": "BERA",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "BIO_USDC-PERPETUAL": {
          "base": "BIO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "BNB_USDC-PERPETUAL": {
          "base": "BNB",
          "valid": true,
          "reasons": [],
          "last_price": 641.95,
          "start_date": "2022-04-27",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BOME_USDC-PERPETUAL": {
          "base": "BOME",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.000404,
          "start_date": "2026-03-22",
          "timeframes": []
        },
        "BRETT_USDC-PERPETUAL": {
          "base": "BRETT",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "BTC-PERPETUAL": {
          "base": "BTC",
          "valid": true,
          "reasons": [],
          "last_price": 73346.5,
          "start_date": "2018-08-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BTC_USDC-PERPETUAL": {
          "base": "BTC",
          "valid": true,
          "reasons": [],
          "last_price": 73313.5,
          "start_date": "2022-02-18",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "CAKE_USDC-PERPETUAL": {
          "base": "CAKE",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume",
            "incongruent(px=2.118,med=1.736)"
          ],
          "last_price": 2.1178,
          "start_date": "2026-04-22",
          "timeframes": []
        },
        "CFX_USDC-PERPETUAL": {
          "base": "CFX",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "CRV_USDC-PERPETUAL": {
          "base": "CRV",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "DOGE_USDC-PERPETUAL": {
          "base": "DOGE",
          "valid": true,
          "reasons": [],
          "last_price": 0.09959,
          "start_date": "2022-04-28",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "DOT_USDC-PERPETUAL": {
          "base": "DOT",
          "valid": true,
          "reasons": [],
          "last_price": 1.2041,
          "start_date": "2022-05-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "DYDX_USDC-PERPETUAL": {
          "base": "DYDX",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "EIGEN_USDC-PERPETUAL": {
          "base": "EIGEN",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ENA_USDC-PERPETUAL": {
          "base": "ENA",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ENS_USDC-PERPETUAL": {
          "base": "ENS",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ETC_USDC-PERPETUAL": {
          "base": "ETC",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ETH-PERPETUAL": {
          "base": "ETH",
          "valid": true,
          "reasons": [],
          "last_price": 2003.25,
          "start_date": "2019-01-16",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ETH_USDC-PERPETUAL": {
          "base": "ETH",
          "valid": true,
          "reasons": [],
          "last_price": 2002.8,
          "start_date": "2022-02-19",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ETHFI_USDC-PERPETUAL": {
          "base": "ETHFI",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "FET_USDC-PERPETUAL": {
          "base": "FET",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.2597,
          "start_date": "2025-12-10",
          "timeframes": []
        },
        "FIL_USDC-PERPETUAL": {
          "base": "FIL",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "HBAR_USDC-PERPETUAL": {
          "base": "HBAR",
          "valid": false,
          "reasons": [
            "flat_dead",
            "incongruent(px=0.138,med=0.1146)"
          ],
          "last_price": 0.138,
          "start_date": "2025-12-08",
          "timeframes": []
        },
        "HYPE_USDC-PERPETUAL": {
          "base": "HYPE",
          "valid": false,
          "reasons": [
            "flat_dead",
            "incongruent(px=45,med=36.7)"
          ],
          "last_price": 45.0,
          "start_date": "2025-12-01",
          "timeframes": []
        },
        "ICP_USDC-PERPETUAL": {
          "base": "ICP",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 2.592,
          "start_date": "2026-04-09",
          "timeframes": []
        },
        "IMX_USDC-PERPETUAL": {
          "base": "IMX",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "INJ_USDC-PERPETUAL": {
          "base": "INJ",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "IP_USDC-PERPETUAL": {
          "base": "IP",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "JTO_USDC-PERPETUAL": {
          "base": "JTO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "JUP_USDC-PERPETUAL": {
          "base": "JUP",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "KAITO_USDC-PERPETUAL": {
          "base": "KAITO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "KAS_USDC-PERPETUAL": {
          "base": "KAS",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.03075,
          "start_date": "2025-12-16",
          "timeframes": []
        },
        "LDO_USDC-PERPETUAL": {
          "base": "LDO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "LINK_USDC-PERPETUAL": {
          "base": "LINK",
          "valid": true,
          "reasons": [],
          "last_price": 8.876,
          "start_date": "2022-07-29",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "LTC_USDC-PERPETUAL": {
          "base": "LTC",
          "valid": true,
          "reasons": [],
          "last_price": 51.61,
          "start_date": "2022-07-22",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "MEME_USDC-PERPETUAL": {
          "base": "MEME",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "MOODENG_USDC-PERPETUAL": {
          "base": "MOODENG",
          "valid": false,
          "reasons": [
            "flat_dead",
            "incongruent(px=0.091,med=0.06898)"
          ],
          "last_price": 0.091,
          "start_date": "2025-12-05",
          "timeframes": []
        },
        "MORPHO_USDC-PERPETUAL": {
          "base": "MORPHO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "NEAR_USDC-PERPETUAL": {
          "base": "NEAR",
          "valid": false,
          "reasons": [
            "flat_dead"
          ],
          "last_price": 2.4914,
          "start_date": "2025-01-31",
          "timeframes": []
        },
        "NEIRO_USDC-PERPETUAL": {
          "base": "NEIRO",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.000149,
          "start_date": "2025-12-22",
          "timeframes": []
        },
        "ONDO_USDC-PERPETUAL": {
          "base": "ONDO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "OP_USDC-PERPETUAL": {
          "base": "OP",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.124,
          "start_date": "2026-04-10",
          "timeframes": []
        },
        "ORDI_USDC-PERPETUAL": {
          "base": "ORDI",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "PAXG_USDC-PERPETUAL": {
          "base": "PAXG",
          "valid": true,
          "reasons": [],
          "last_price": 4517.8,
          "start_date": "2024-10-08",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "PENDLE_USDC-PERPETUAL": {
          "base": "PENDLE",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume",
            "incongruent(px=1.966,med=1.707)"
          ],
          "last_price": 1.9655,
          "start_date": "2026-05-15",
          "timeframes": []
        },
        "PENGU_USDC-PERPETUAL": {
          "base": "PENGU",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "PEOPLE_USDC-PERPETUAL": {
          "base": "PEOPLE",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "PNUT_USDC-PERPETUAL": {
          "base": "PNUT",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "POPCAT_USDC-PERPETUAL": {
          "base": "POPCAT",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.0574,
          "start_date": "2026-05-15",
          "timeframes": []
        },
        "PUMP_USDC-PERPETUAL": {
          "base": "PUMP",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "PYTH_USDC-PERPETUAL": {
          "base": "PYTH",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "RAY_USDC-PERPETUAL": {
          "base": "RAY",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "RENDER_USDC-PERPETUAL": {
          "base": "RENDER",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "RUNE_USDC-PERPETUAL": {
          "base": "RUNE",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "S_USDC-PERPETUAL": {
          "base": "S",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "SAND_USDC-PERPETUAL": {
          "base": "SAND",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "SEI_USDC-PERPETUAL": {
          "base": "SEI",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "SHIB_USDC-PERPETUAL": {
          "base": "SHIB",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.01,
          "start_date": "2022-05-25",
          "timeframes": []
        },
        "SOL-PERPETUAL": {
          "base": "SOL",
          "valid": false,
          "reasons": [
            "no_volume",
            "incongruent(px=9.6,med=81.94)"
          ],
          "last_price": 9.6,
          "start_date": "2021-12-10",
          "timeframes": []
        },
        "SOL_USDC-PERPETUAL": {
          "base": "SOL",
          "valid": true,
          "reasons": [],
          "last_price": 82.097,
          "start_date": "2022-02-19",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "SPK_USDC-PERPETUAL": {
          "base": "SPK",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "SPX_USDC-PERPETUAL": {
          "base": "SPX",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "STETH_USDC-PERPETUAL": {
          "base": "STETH",
          "valid": false,
          "reasons": [
            "flat_dead"
          ],
          "last_price": 2357.7,
          "start_date": "2024-12-31",
          "timeframes": []
        },
        "STRK_USDC-PERPETUAL": {
          "base": "STRK",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "STX_USDC-PERPETUAL": {
          "base": "STX",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "SUI_USDC-PERPETUAL": {
          "base": "SUI",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "TAO_USDC-PERPETUAL": {
          "base": "TAO",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume",
            "incongruent(px=320.9,med=302.4)"
          ],
          "last_price": 320.8931,
          "start_date": "2026-03-24",
          "timeframes": []
        },
        "THETA_USDC-PERPETUAL": {
          "base": "THETA",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "TIA_USDC-PERPETUAL": {
          "base": "TIA",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "TON_USDC-PERPETUAL": {
          "base": "TON",
          "valid": false,
          "reasons": [
            "flat_dead",
            "incongruent(px=3,med=2.395)"
          ],
          "last_price": 3.0,
          "start_date": "2025-08-28",
          "timeframes": []
        },
        "TRB_USDC-PERPETUAL": {
          "base": "TRB",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "TRUMP_USDC-PERPETUAL": {
          "base": "TRUMP",
          "valid": true,
          "reasons": [],
          "last_price": 1.8474,
          "start_date": "2025-01-23",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TRX_USDC-PERPETUAL": {
          "base": "TRX",
          "valid": true,
          "reasons": [],
          "last_price": 0.34813,
          "start_date": "2022-05-28",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TURBO_USDC-PERPETUAL": {
          "base": "TURBO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "UNI_USDC-PERPETUAL": {
          "base": "UNI",
          "valid": true,
          "reasons": [],
          "last_price": 3.0063,
          "start_date": "2022-10-03",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "VET_USDC-PERPETUAL": {
          "base": "VET",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "VIRTUAL_USDC-PERPETUAL": {
          "base": "VIRTUAL",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "W_USDC-PERPETUAL": {
          "base": "W",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "WIF_USDC-PERPETUAL": {
          "base": "WIF",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "WLD_USDC-PERPETUAL": {
          "base": "WLD",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "XLM_USDC-PERPETUAL": {
          "base": "XLM",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "XRP_USDC-PERPETUAL": {
          "base": "XRP",
          "valid": true,
          "reasons": [],
          "last_price": 1.3156,
          "start_date": "2022-02-19",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "XTZ_USDC-PERPETUAL": {
          "base": "XTZ",
          "valid": false,
          "reasons": [
            "flat_dead",
            "no_volume"
          ],
          "last_price": 0.3463,
          "start_date": "2026-03-30",
          "timeframes": []
        },
        "ZEC_USDC-PERPETUAL": {
          "base": "ZEC",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ZK_USDC-PERPETUAL": {
          "base": "ZK",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ZORA_USDC-PERPETUAL": {
          "base": "ZORA",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "ZRO_USDC-PERPETUAL": {
          "base": "ZRO",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        }
      }
    },
    "hyperliquid": {
      "timeframes": [
        "1m",
        "5m",
        "15m",
        "1h"
      ],
      "instruments": {
        "SOL": {
          "base": "SOL",
          "valid": true,
          "reasons": [],
          "last_price": 81.937,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "APT": {
          "base": "APT",
          "valid": true,
          "reasons": [],
          "last_price": 0.926,
          "start_date": "2025-04-09",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ATOM": {
          "base": "ATOM",
          "valid": true,
          "reasons": [],
          "last_price": 2.0357,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BTC": {
          "base": "BTC",
          "valid": true,
          "reasons": [],
          "last_price": 73841.0,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ETH": {
          "base": "ETH",
          "valid": true,
          "reasons": [],
          "last_price": 1995.9,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BNB": {
          "base": "BNB",
          "valid": true,
          "reasons": [],
          "last_price": 636.8,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AVAX": {
          "base": "AVAX",
          "valid": true,
          "reasons": [],
          "last_price": 8.8806,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "DYDX": {
          "base": "DYDX",
          "valid": true,
          "reasons": [],
          "last_price": 0.17186,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "OP": {
          "base": "OP",
          "valid": true,
          "reasons": [],
          "last_price": 0.11875,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ARB": {
          "base": "ARB",
          "valid": true,
          "reasons": [],
          "last_price": 0.10479,
          "start_date": "2025-04-09",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "WLD": {
          "base": "WLD",
          "valid": true,
          "reasons": [],
          "last_price": 0.30326,
          "start_date": "2025-04-09",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AAVE": {
          "base": "AAVE",
          "valid": true,
          "reasons": [],
          "last_price": 81.88,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "LDO": {
          "base": "LDO",
          "valid": true,
          "reasons": [],
          "last_price": 0.32392,
          "start_date": "2022-09-22",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "SUI": {
          "base": "SUI",
          "valid": true,
          "reasons": [],
          "last_price": 0.91577,
          "start_date": "2023-05-03",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "INJ": {
          "base": "INJ",
          "valid": true,
          "reasons": [],
          "last_price": 6.2043,
          "start_date": "2022-08-17",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "STX": {
          "base": "STX",
          "valid": true,
          "reasons": [],
          "last_price": 0.23235,
          "start_date": "2025-04-12",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ZRO": {
          "base": "ZRO",
          "valid": true,
          "reasons": [],
          "last_price": 1.1361,
          "start_date": "2024-06-20",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TRB": {
          "base": "TRB",
          "valid": true,
          "reasons": [],
          "last_price": 16.36,
          "start_date": "2025-04-20",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "KAS": {
          "base": "KAS",
          "valid": true,
          "reasons": [],
          "last_price": 0.031029,
          "start_date": "2025-04-11",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TIA": {
          "base": "TIA",
          "valid": true,
          "reasons": [],
          "last_price": 0.41279,
          "start_date": "2023-10-31",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TON": {
          "base": "TON",
          "valid": false,
          "reasons": [
            "incongruent(px=1.791,med=2.395)"
          ],
          "last_price": 1.7907,
          "start_date": "2025-04-09",
          "timeframes": []
        },
        "ADA": {
          "base": "ADA",
          "valid": true,
          "reasons": [],
          "last_price": 0.23586,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "PENDLE": {
          "base": "PENDLE",
          "valid": false,
          "reasons": [
            "incongruent(px=1.448,med=1.707)"
          ],
          "last_price": 1.4478,
          "start_date": "2025-04-12",
          "timeframes": []
        },
        "FET": {
          "base": "FET",
          "valid": true,
          "reasons": [],
          "last_price": 0.24381,
          "start_date": "2023-01-17",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "NEAR": {
          "base": "NEAR",
          "valid": true,
          "reasons": [],
          "last_price": 2.3636,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "MEME": {
          "base": "MEME",
          "valid": true,
          "reasons": [],
          "last_price": 0.000481,
          "start_date": "2025-04-12",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ORDI": {
          "base": "ORDI",
          "valid": true,
          "reasons": [],
          "last_price": 3.4575,
          "start_date": "2023-11-07",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "FIL": {
          "base": "FIL",
          "valid": true,
          "reasons": [],
          "last_price": 0.96404,
          "start_date": "2025-04-10",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "PYTH": {
          "base": "PYTH",
          "valid": true,
          "reasons": [],
          "last_price": 0.041423,
          "start_date": "2023-11-22",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "RUNE": {
          "base": "RUNE",
          "valid": true,
          "reasons": [],
          "last_price": 0.42624,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "IMX": {
          "base": "IMX",
          "valid": true,
          "reasons": [],
          "last_price": 0.15872,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "JUP": {
          "base": "JUP",
          "valid": true,
          "reasons": [],
          "last_price": 0.17676,
          "start_date": "2025-04-11",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "JTO": {
          "base": "JTO",
          "valid": true,
          "reasons": [],
          "last_price": 0.50659,
          "start_date": "2023-12-08",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "WIF": {
          "base": "WIF",
          "valid": true,
          "reasons": [],
          "last_price": 0.18725,
          "start_date": "2024-01-18",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "CAKE": {
          "base": "CAKE",
          "valid": false,
          "reasons": [
            "incongruent(px=1.354,med=1.736)"
          ],
          "last_price": 1.3544,
          "start_date": "2023-11-02",
          "timeframes": []
        },
        "PEOPLE": {
          "base": "PEOPLE",
          "valid": true,
          "reasons": [],
          "last_price": 0.006043,
          "start_date": "2025-04-20",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ENS": {
          "base": "ENS",
          "valid": true,
          "reasons": [],
          "last_price": 5.8188,
          "start_date": "2025-04-14",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ETC": {
          "base": "ETC",
          "valid": true,
          "reasons": [],
          "last_price": 8.2323,
          "start_date": "2022-08-18",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ONDO": {
          "base": "ONDO",
          "valid": true,
          "reasons": [],
          "last_price": 0.36859,
          "start_date": "2024-01-20",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "W": {
          "base": "W",
          "valid": true,
          "reasons": [],
          "last_price": 0.011639,
          "start_date": "2024-04-03",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TAO": {
          "base": "TAO",
          "valid": false,
          "reasons": [
            "incongruent(px=284,med=302.4)"
          ],
          "last_price": 283.97,
          "start_date": "2024-04-11",
          "timeframes": []
        },
        "HBAR": {
          "base": "HBAR",
          "valid": false,
          "reasons": [
            "incongruent(px=0.09125,med=0.1146)"
          ],
          "last_price": 0.091245,
          "start_date": "2022-07-13",
          "timeframes": []
        },
        "POPCAT": {
          "base": "POPCAT",
          "valid": true,
          "reasons": [],
          "last_price": 0.052073,
          "start_date": "2025-04-10",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "EIGEN": {
          "base": "EIGEN",
          "valid": true,
          "reasons": [],
          "last_price": 0.2184,
          "start_date": "2025-04-15",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TURBO": {
          "base": "TURBO",
          "valid": true,
          "reasons": [],
          "last_price": 0.001084,
          "start_date": "2025-04-26",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BRETT": {
          "base": "BRETT",
          "valid": true,
          "reasons": [],
          "last_price": 0.006357,
          "start_date": "2025-04-12",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ZK": {
          "base": "ZK",
          "valid": true,
          "reasons": [],
          "last_price": 0.013627,
          "start_date": "2025-04-15",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "RENDER": {
          "base": "RENDER",
          "valid": true,
          "reasons": [],
          "last_price": 2.0722,
          "start_date": "2025-04-11",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "MOODENG": {
          "base": "MOODENG",
          "valid": false,
          "reasons": [
            "incongruent(px=0.04695,med=0.06898)"
          ],
          "last_price": 0.046951,
          "start_date": "2024-10-25",
          "timeframes": []
        },
        "PNUT": {
          "base": "PNUT",
          "valid": true,
          "reasons": [],
          "last_price": 0.05302,
          "start_date": "2025-04-22",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "XLM": {
          "base": "XLM",
          "valid": true,
          "reasons": [],
          "last_price": 0.20964,
          "start_date": "2022-08-18",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "SAND": {
          "base": "SAND",
          "valid": true,
          "reasons": [],
          "last_price": 0.06742,
          "start_date": "2022-07-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ALGO": {
          "base": "ALGO",
          "valid": true,
          "reasons": [],
          "last_price": 0.11699,
          "start_date": "2025-04-10",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ICP": {
          "base": "ICP",
          "valid": true,
          "reasons": [],
          "last_price": 2.7324,
          "start_date": "2025-04-20",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "VET": {
          "base": "VET",
          "valid": false,
          "reasons": [
            "no_history",
            "no_volume"
          ],
          "last_price": null,
          "start_date": null,
          "timeframes": []
        },
        "HYPE": {
          "base": "HYPE",
          "valid": false,
          "reasons": [
            "incongruent(px=28.39,med=36.7)"
          ],
          "last_price": 28.395,
          "start_date": "2025-04-07",
          "timeframes": []
        },
        "VIRTUAL": {
          "base": "VIRTUAL",
          "valid": true,
          "reasons": [],
          "last_price": 0.72259,
          "start_date": "2025-04-12",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "PENGU": {
          "base": "PENGU",
          "valid": true,
          "reasons": [],
          "last_price": 0.007615,
          "start_date": "2025-04-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AIXBT": {
          "base": "AIXBT",
          "valid": true,
          "reasons": [],
          "last_price": 0.027521,
          "start_date": "2025-04-26",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BIO": {
          "base": "BIO",
          "valid": true,
          "reasons": [],
          "last_price": 0.030108,
          "start_date": "2025-04-25",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "SPX": {
          "base": "SPX",
          "valid": true,
          "reasons": [],
          "last_price": 0.32575,
          "start_date": "2024-12-10",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "S": {
          "base": "S",
          "valid": true,
          "reasons": [],
          "last_price": 0.040244,
          "start_date": "2025-04-22",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "MORPHO": {
          "base": "MORPHO",
          "valid": true,
          "reasons": [],
          "last_price": 2.0741,
          "start_date": "2025-04-27",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "TRUMP": {
          "base": "TRUMP",
          "valid": true,
          "reasons": [],
          "last_price": 1.9095,
          "start_date": "2025-04-10",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "BERA": {
          "base": "BERA",
          "valid": true,
          "reasons": [],
          "last_price": 0.34205,
          "start_date": "2025-04-22",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "IP": {
          "base": "IP",
          "valid": true,
          "reasons": [],
          "last_price": 0.43244,
          "start_date": "2025-02-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "KAITO": {
          "base": "KAITO",
          "valid": true,
          "reasons": [],
          "last_price": 0.45193,
          "start_date": "2025-04-26",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "PAXG": {
          "base": "PAXG",
          "valid": true,
          "reasons": [],
          "last_price": 4506.9,
          "start_date": "2025-04-08",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ZORA": {
          "base": "ZORA",
          "valid": true,
          "reasons": [],
          "last_price": 0.009803,
          "start_date": "2025-04-26",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "DOGE": {
          "base": "DOGE",
          "valid": true,
          "reasons": [],
          "last_price": 0.098882,
          "start_date": "2025-05-13",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "PUMP": {
          "base": "PUMP",
          "valid": true,
          "reasons": [],
          "last_price": 0.001694,
          "start_date": "2025-07-10",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "ZEC": {
          "base": "ZEC",
          "valid": true,
          "reasons": [],
          "last_price": 138.65,
          "start_date": "2025-10-03",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AERO": {
          "base": "AERO",
          "valid": true,
          "reasons": [],
          "last_price": 0.41157,
          "start_date": "2025-11-12",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        },
        "AXS": {
          "base": "AXS",
          "valid": true,
          "reasons": [],
          "last_price": 1.169,
          "start_date": "2026-01-19",
          "timeframes": [
            "1m",
            "5m",
            "15m",
            "1h"
          ]
        }
      }
    }
  }
}